[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: F12 pae kernel: virtualbox-3.0.10 cannot be installed



Did you install the corresponding kernel-devel package for that kernel?
-- 
Robin

At Thu, 05 Nov 2009 14:41:16 +0100,
Joachim Backes wrote:
> 
> My F12 system was installed with the i686.PAE kernel (until the actual 
> one 2.6.31.5-115.fc12.i686.PAE). Now I tried to install virtualbox, but 
> the installation 
> failed:---------------------------snip-------------------------------------------
> root eule1 [~]: yum install VirtualBox
> Loaded plugins: presto, refresh-packagekit
> virtualbox 
>                                                                   |  951 
> B     00:00
> Setting up Install Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package VirtualBox.i686 0:3.0.10_54097_fedora12-1 set to be updated
> --> Finished Dependency Resolution
> 
> Dependencies Resolved
> 
> ================================================================================================================================================================ 
> Package                             Arch 
> Version                                            Repository 
>                  Size
> ================================================================================================================================================================Installing:
>   VirtualBox                          i686 
> 3.0.10_54097_fedora12-1                            virtualbox 
>                  38 M
> 
> Transaction Summary
> ================================================================================================================================================================Install 
>        1 Package(s)
> Upgrade       0 Package(s)
> 
> Total download size: 38 M
> Is this ok [y/N]: y
> Downloading Packages:
> Setting up and reading Presto delta metadata
> Processing delta metadata
> Package(s) data still to download: 38 M
> VirtualBox-3.0.10_54097_fedora12-1.i686.rpm 
>                                                                   |  38 
> MB     05:30
> Running rpm_check_debug
> Running Transaction Test
> Finished Transaction Test
> Transaction Test Succeeded
> Running Transaction
>    Installing     : VirtualBox-3.0.10_54097_fedora12-1.i686 
>  
>                1/1
> 
> Creating group 'vboxusers'. VM users must be member of that group!
> 
> No precompiled module for this kernel found -- trying to build one. Messages
> emitted during module compilation will be logged to 
> /var/log/vbox-install.log.
> 
> Compilation of the kernel module FAILED! VirtualBox will not start until 
> this
> problem is fixed. Please consult /var/log/vbox-install.log to find out 
> why the
> kernel module does not compile. Most probably the kernel sources are not 
> found.
> Install them and execute
> 
>    /etc/init.d/vboxdrv setup
> 
> as root.
> 
> 
> Installed:
>    VirtualBox.i686 0:3.0.10_54097_fedora12-1
> ------------------------- snip ------------------------------
> 
> 
> As you see, the with the kernel version 2.6.31.5-115.fc12.i686.PAE the 
> kernel modules cannot be built.
> 
> After installing the no-PAE kernel kernel-2.6.31.5-115.fc12.i686, 
> VirtualBox has been installed cleanly.
> 
> Same problem, when trying to install VirtualBox from virtualbox.org.
> 
> Somebody made similar experiences?
> 
> Regards
> 
> Joachim Backes <joachim backes rhrk uni-kl de>
> 
> http://www.rhrk.uni-kl.de/~backes
> 
> 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]